<?php defined('C5_EXECUTE') or die(_("Access Denied."));

$f = $controller->getFileObject();
$fullPath = $f->getPath();
$orgPath = $relPath = $f->getRelativePath();
$size = @getimagesize($fullPath);

if ($controller->maxWidth > 0 || $controller->maxHeight > 0) {
	$mw = $controller->maxWidth > 0 ? $controller->maxWidth : $size[0];
	$mh = $controller->maxHeight > 0 ? $controller->maxHeight : $size[1];
	$ih = Loader::helper('image');
	$thumb = $ih->getThumbnail($f, $mw, $mh);
	$sizeStr = ' width="' . $thumb->width . '" height="' . $thumb->height . '"';
	$relPath = $thumb->src;
} else {
	$sizeStr = $size[3];
}

echo <<<FANCY
<a href="{$orgPath}" rel="fancy-plants" title="{$controller->altText}">
<img src="{$relPath}" alt="{$controller->altText}"/></a>
<script type="text/javascript">
$("a[rel=fancy-plants]").fancybox();
</script>
FANCY;
